Page MenuHomePhabricator

Pages in form of "Translations:<pagename>/<num>/qqq" can't be deleted
Closed, ResolvedPublic

Description

Hi. I can't delete pages on mediawikiwiki, when clicking on delele button, it shows https://snag.gy/GkzCFN.jpg.

Also reported at https://www.mediawiki.org/wiki/Topic:T3px40iiq1eiavxj

2016-05-10 21:38:29 [VzJU0QpAICsAACQ4gS8AAAAY] mw1173 mediawikiwiki 1.28.0-wmf.1 exception ERROR: [VzJU0QpAICsAACQ4gS8AAAAY] /w/index.php?title=Translations:Do_not_hack_MediaWiki_core/30/qqq&action=delete   MWException from line 51 of /srv/mediawiki/php-1.28.0-wmf.1/extensions/Translate/tag/TranslateRenderJob.php: Oops, this should not happen! {"exception_id":"VzJU0QpAICsAACQ4gS8AAAAY"} 
[Exception MWException] (/srv/mediawiki/php-1.28.0-wmf.1/extensions/Translate/tag/TranslateRenderJob.php:51) Oops, this should not happen!
  #0 /srv/mediawiki/php-1.28.0-wmf.1/extensions/Translate/tag/PageTranslationHooks.php(155): TranslateRenderJob->run()
  #1 /srv/mediawiki/php-1.28.0-wmf.1/extensions/Translate/tag/PageTranslationHooks.php(993): PageTranslationHooks::updateTranslationPage(TranslatablePage, string, User, integer, string)
  #2 /srv/mediawiki/php-1.28.0-wmf.1/includes/Hooks.php(195): PageTranslationHooks::onDeleteTranslationUnit(WikiPage, User, string, string, WikitextContent, ManualLogEntry)
  #3 /srv/mediawiki/php-1.28.0-wmf.1/includes/page/WikiPage.php(2925): Hooks::run(string, array)
  #4 /srv/mediawiki/php-1.28.0-wmf.1/includes/page/Article.php(1883): WikiPage->doDeleteArticleReal(string, boolean, integer, boolean, string, User)
  #5 /srv/mediawiki/php-1.28.0-wmf.1/includes/page/Article.php(1701): Article->doDelete(string, boolean)
  #6 /srv/mediawiki/php-1.28.0-wmf.1/includes/actions/DeleteAction.php(54): Article->delete()
  #7 /srv/mediawiki/php-1.28.0-wmf.1/includes/MediaWiki.php(503): DeleteAction->show()
  #8 /srv/mediawiki/php-1.28.0-wmf.1/includes/MediaWiki.php(288): MediaWiki->performAction(Article, Title)
  #9 /srv/mediawiki/php-1.28.0-wmf.1/includes/MediaWiki.php(745): MediaWiki->performRequest()
  #10 /srv/mediawiki/php-1.28.0-wmf.1/includes/MediaWiki.php(519): MediaWiki->main()
  #11 /srv/mediawiki/php-1.28.0-wmf.1/index.php(43): MediaWiki->run()
  #12 /srv/mediawiki/w/index.php(3): include(string)
  #13 {main}

Details

Related Gerrit Patches:

Event Timeline

Matiia created this task.May 11 2016, 4:15 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 11 2016, 4:15 AM
Legoktm renamed this task from Unable to delete pages on mediawikiwiki to Unable to delete [[Translations:Do not hack MediaWiki core/30/qqq]] on mediawikiwiki.May 11 2016, 4:16 AM
Legoktm triaged this task as High priority.
Legoktm updated the task description. (Show Details)
Legoktm added a subscriber: Shirayuki.
Danny_B renamed this task from Unable to delete [[Translations:Do not hack MediaWiki core/30/qqq]] on mediawikiwiki to Pages in form of "Translations:<pagename>/<num>/qqq" can't be deleted.May 11 2016, 4:29 AM

@Matiia I've just done the same testing ;-)

For the record: Can't be deleted even if emptied before...

This was caused by rETRAaf269613300e. We shouldn't do the re-rendering for documentation pages.

Change 288162 had a related patch set uploaded (by Glaisher):
On documentation unit deletion, don't attempt to re-render translation page

https://gerrit.wikimedia.org/r/288162

We should get it backported before it reaches the next group wikis.

Change 288162 merged by jenkins-bot:
On documentation unit deletion, don't attempt to re-render translation page

https://gerrit.wikimedia.org/r/288162

Change 288165 had a related patch set uploaded (by Glaisher):
On documentation unit deletion, don't attempt to re-render translation page

https://gerrit.wikimedia.org/r/288165

Change 288165 merged by jenkins-bot:
On documentation unit deletion, don't attempt to re-render translation page

https://gerrit.wikimedia.org/r/288165

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:11 PM